Bug 144366 - Kernel 724_FC3 breaks MTIOCPOS ioctl
Kernel 724_FC3 breaks MTIOCPOS ioctl
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-01-06 10:28 EST by Robert Nichols
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-12 02:24:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Nichols 2005-01-06 10:28:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
Under this kernel, the MTIOCPOS ioctl to a scsi tape device fails,
returning ENODEV.  This was working in the 681_FC3 kernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. On a system with a scsi tape device that supports the scsi READ
POSITION command, and with a tape loaded in the drive, run "mt tell".


Actual Results:  The command reports "/dev/tape: No such device" and
exits with a failure return.

Expected Results:  The command should print "At block nnnn." and
return success.

Additional info:

Drive is:
  Host: scsi0 Channel: 00 Id: 04 Lun: 00
  Vendor: ARCHIVE  Model: Python 04106-XXX Rev: 7350
  Type:   Sequential-Access                ANSI SCSI revision: 02

Under kernel 2.6.9-1.681_FC3, "mt tell" works properly.  I can't use
'strace' or a debugger to verify what is happening because the 724_FC3
kernel also breaks process tracing (bug 144070).  I had to recompile
'mt' with some debugging printf()s to help identify the problem.
Comment 1 Robert Nichols 2005-01-12 02:11:13 EST
"mt tell" is working properly again in kernel 2.6.10-1.737_FC3.

Note You need to log in before you can comment on or make changes to this bug.